SPI\_exec

|         SPI\_exec          |                        |                         |                  |                                      |
|:--------------------------:|------------------------|-------------------------|------------------|--------------------------------------|
|[Prev](spi-spi-execute.html)|[Up](spi-interface.html)|47.1. Interface Functions|[Home](index.html)| [Next](spi-spi-execute-extended.html)|

---

[]()

## SPI\_exec

SPI\_exec — execute a read/write command

## Synopsis

```
int SPI_exec(const char * command, long count)

```

## Description

`SPI_exec` is the same as `SPI_execute`, with the latter's *`read_only`* parameter always taken as `false`.

## Arguments

`const char * *`command`*`

 string containing command to execute

`long *`count`*`

 maximum number of rows to return, or `0` for no limit

## Return Value

 See `SPI_execute`.

---

|[Prev](spi-spi-execute.html)|[Up](spi-interface.html)| [Next](spi-spi-execute-extended.html)|
|:---------------------------|:----------------------:|-------------------------------------:|
|        SPI\_execute        |   [Home](index.html)   |        SPI\_execute\_extended        |

 // \<![CDATA[ \<-- For SVG support if ('WebSocket' in window) { (function() { function refreshCSS() { var sheets = [].slice.call(document.getElementsByTagName("link")); var head = document.getElementsByTagName("head")[0]; for (var i = 0; i \< sheets.length; ++i) { var elem = sheets[i]; head.removeChild(elem); var rel = elem.rel; if (elem.href && typeof rel != "string" || rel.length == 0 || rel.toLowerCase() == "stylesheet") { var url = elem.href.replace(/(&|\\?)\_cacheOverride=\\d+/, ''); elem.href = url + (url.indexOf('?') \>= 0 ? '&' : '?') + '\_cacheOverride=' + (new Date().valueOf()); } head.appendChild(elem); } } var protocol = window.location.protocol === 'http:' ? 'ws://' : 'wss://'; var address = protocol + window.location.host + window.location.pathname + '/ws'; var socket = new WebSocket(address); socket.onmessage = function(msg) { if (msg.data == 'reload') window.location.reload(); else if (msg.data == 'refreshcss') refreshCSS(); }; console.log('Live reload enabled.'); })(); } // ]]\>